<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN""http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=9"/>
    <meta name="generator" content="Doxygen 1.8.11"/>
    <title>LibraryMgr: Member List</title>
    <link href="tabs.css" rel="stylesheet" type="text/css"/>
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
    <link href="navtree.css" rel="stylesheet" type="text/css"/>
    <script type="text/javascript" src="resize.js"></script>
    <script type="text/javascript" src="navtreedata.js"></script>
    <script type="text/javascript" src="navtree.js"></script>
    <script type="text/javascript">
        $(document).ready(initResizable);
        $(window).load(resizeHeight);
    </script>
    <link href="search/search.css" rel="stylesheet" type="text/css"/>
    <script type="text/javascript" src="search/searchdata.js"></script>
    <script type="text/javascript" src="search/search.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            init_search();
        });
    </script>
    <link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
    <div id="titlearea">
        <table cellspacing="0" cellpadding="0">
            <tbody>
            <tr style="height: 56px;">
                <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
                <td id="projectalign" style="padding-left: 0.5em;">
                    <div id="projectname">LibraryMgr
                        &#160;<span id="projectnumber">0.4</span>
                    </div>
                    <div id="projectbrief">Library manager desktop app</div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <!-- end header part -->
    <!-- Generated by Doxygen 1.8.11 -->
    <script type="text/javascript">
        var searchBox = new SearchBox("searchBox", "search", false, 'Search');
    </script>
    <div id="navrow1" class="tabs">
        <ul class="tablist">
            <li><a href="index.html"><span>Main&#160;Page</span></a></li>
            <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
            <li><a href="files.html"><span>Files</span></a></li>
            <li>
                <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
                 onfocus="searchBox.OnSearchFieldFocus(true)"
                 onblur="searchBox.OnSearchFieldFocus(false)"
                 onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0"
                                                                                       src="search/close.png"
                                                                                       alt=""/></a>
          </span>
                </div>
            </li>
        </ul>
    </div>
    <div id="navrow2" class="tabs2">
        <ul class="tablist">
            <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
            <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
            <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
            <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
        </ul>
    </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
    <div id="nav-tree">
        <div id="nav-tree-contents">
            <div id="nav-sync" class="sync"></div>
    </div>
    </div>
    <div id="splitbar" style="-moz-user-select:none;"
         class="ui-resizable-handle">
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function () {
        initNavTree('class_database_item.html', '');
    });
</script>
<div id="doc-content">
    <!-- window showing the filter options -->
    <div id="MSearchSelectWindow"
         onmouseover="return searchBox.OnSearchSelectShow()"
         onmouseout="return searchBox.OnSearchSelectHide()"
         onkeydown="return searchBox.OnSearchSelectKey(event)">
    </div>

    <!-- iframe showing the search results (closed by default) -->
    <div id="MSearchResultsWindow">
        <iframe src="javascript:void(0)" frameborder="0"
                name="MSearchResults" id="MSearchResults">
        </iframe>
    </div>

    <div class="header">
        <div class="headertitle">
            <div class="title">DatabaseItem&lt; T &gt; Member List</div>
        </div>
    </div><!--header-->
    <div class="contents">

        <p>This is the complete list of members for <a class="el" href="class_database_item.html">DatabaseItem&lt; T
            &gt;</a>, including all inherited members.</p>
        <table class="directory">
            <tr class="even">
                <td class="entry"><a class="el" href="class_database_item.html#a2909c438c076478aa1c42e805b0d10ac">DatabaseItem</a>(T
                    value)
                </td>
                <td class="entry"><a class="el" href="class_database_item.html">DatabaseItem&lt; T &gt;</a></td>
                <td class="entry"><span class="mlabel">inline</span></td>
            </tr>
            <tr>
                <td class="entry"><a class="el" href="class_database_item.html#a1e173bac12d68b463ffe0da44cf0fd01">DatabaseItem</a>(DatabaseItem
                    &amp;d)
                </td>
                <td class="entry"><a class="el" href="class_database_item.html">DatabaseItem&lt; T &gt;</a></td>
                <td class="entry"><span class="mlabel">inline</span></td>
            </tr>
            <tr class="even">
                <td class="entry"><a class="el" href="class_database_item.html#af68fc3cdc39ccceb062d7b4daea86ce9">operator&lt;&lt;</a>(std::ostream
                    &amp;out, const DatabaseItem&lt; T &gt; &amp;databaseItem)
                </td>
                <td class="entry"><a class="el" href="class_database_item.html">DatabaseItem&lt; T &gt;</a></td>
                <td class="entry"><span class="mlabel">friend</span></td>
            </tr>
            <tr>
                <td class="entry"><a class="el" href="class_database_item.html#a58fae12dad2ba8fa7447c69b0897b86c">operator==</a>(const
                    DatabaseItem &amp;other) const
                </td>
                <td class="entry"><a class="el" href="class_database_item.html">DatabaseItem&lt; T &gt;</a></td>
                <td class="entry"><span class="mlabel">inline</span></td>
            </tr>
            <tr class="even">
                <td class="entry"><a class="el" href="class_database_item.html#afc5647cece99a48f944c8a6daff72f76">~DatabaseItem</a>()
                </td>
                <td class="entry"><a class="el" href="class_database_item.html">DatabaseItem&lt; T &gt;</a></td>
                <td class="entry"><span class="mlabel">inline</span></td>
            </tr>
        </table>
    </div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
    <ul>
        <li class="footer">Generated by
            <a href="http://www.doxygen.org/index.html">
                <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11
        </li>
    </ul>
</div>
</body>
</html>
